Index: NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/axis_def_nemo.xml
===================================================================
--- NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/axis_def_nemo.xml	(revision 13463)
+++ NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/axis_def_nemo.xml	(revision 13463)
@@ -0,0 +1,1 @@
+link ../../SHARED/axis_def_nemo.xml
Index: NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/context_nemo.xml
===================================================================
--- NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/context_nemo.xml	(revision 11396)
+++ NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/context_nemo.xml	(revision 13463)
@@ -5,31 +5,106 @@
 -->
 <context id="nemo">
-<!-- $id$ -->
+    <!-- $id$ -->
+    <variable_definition>
+       <!-- Year/Month/Day of time origin for NetCDF files; defaults to 1800-01-01 -->
+       <variable id="ref_year"  type="int"> 1900 </variable>
+       <variable id="ref_month" type="int"> 01 </variable>
+       <variable id="ref_day"   type="int"> 01 </variable>
+       <variable id="rau0"      type="float" > 1026.0 </variable>
+       <variable id="cpocean"   type="float" > 3991.86795711963 </variable>
+       <variable id="convSpsu"  type="float" > 0.99530670233846  </variable>
+       <variable id="rhoic"     type="float" > 917.0 </variable>
+       <variable id="rhosn"     type="float" > 330.0 </variable>
+       <variable id="missval"  type="float" > 1.e20 </variable>	       
+    </variable_definition>
+
 <!-- Fields definition -->
     <field_definition src="./field_def_nemo-oce.xml"/>   <!--  NEMO ocean dynamics                     -->
 
+<!-- Override field definitions for multiple-linear-regression analysis (diamlr) -->
+    <field_definition level="1" prec="4" operation="average" enabled=".TRUE." default_value="1.e20" >
+      <field_group id="diamlr_fields">
+        <!-- Time -->
+        <field id="diamlr_time" grid_ref="diamlr_grid_T_2D" prec="8" />
+        <!-- Regressors for tidal harmonic analysis -->
+        <field id="diamlr_r001" field_ref="diamlr_time" expr="sin( __TDE_M2_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:sin:M2" />
+        <field id="diamlr_r002" field_ref="diamlr_time" expr="cos( __TDE_M2_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:cos:M2" />
+        <field id="diamlr_r003" field_ref="diamlr_time" expr="sin( __TDE_K1_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:sin:K1" />
+        <field id="diamlr_r004" field_ref="diamlr_time" expr="cos( __TDE_K1_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:cos:K1" />
+        <field id="diamlr_r005" enabled=".FALSE." />
+        <field id="diamlr_r006" enabled=".FALSE." />
+        <field id="diamlr_r007" enabled=".FALSE." />
+        <field id="diamlr_r008" enabled=".FALSE." />
+        <field id="diamlr_r009" enabled=".FALSE." />
+        <field id="diamlr_r010" enabled=".FALSE." />
+        <field id="diamlr_r011" enabled=".FALSE." />
+        <field id="diamlr_r012" enabled=".FALSE." />
+        <field id="diamlr_r013" enabled=".FALSE." />
+        <field id="diamlr_r014" enabled=".FALSE." />
+        <field id="diamlr_r015" enabled=".FALSE." />
+        <field id="diamlr_r016" enabled=".FALSE." />
+        <field id="diamlr_r017" enabled=".FALSE." />
+        <field id="diamlr_r018" enabled=".FALSE." />
+        <field id="diamlr_r019" enabled=".FALSE." />
+        <field id="diamlr_r020" enabled=".FALSE." />
+        <field id="diamlr_r021" enabled=".FALSE." />
+        <field id="diamlr_r022" enabled=".FALSE." />
+        <field id="diamlr_r023" enabled=".FALSE." />
+        <field id="diamlr_r024" enabled=".FALSE." />
+        <field id="diamlr_r025" enabled=".FALSE." />
+        <field id="diamlr_r026" enabled=".FALSE." />
+        <field id="diamlr_r027" enabled=".FALSE." />
+        <field id="diamlr_r028" enabled=".FALSE." />
+        <field id="diamlr_r029" enabled=".FALSE." />
+        <field id="diamlr_r030" enabled=".FALSE." />
+        <field id="diamlr_r031" enabled=".FALSE." />
+        <field id="diamlr_r032" enabled=".FALSE." />
+        <field id="diamlr_r033" enabled=".FALSE." />
+        <field id="diamlr_r034" enabled=".FALSE." />
+        <field id="diamlr_r035" enabled=".FALSE." />
+        <field id="diamlr_r036" enabled=".FALSE." />
+        <field id="diamlr_r037" enabled=".FALSE." />
+        <field id="diamlr_r038" enabled=".FALSE." />
+        <field id="diamlr_r101" field_ref="diamlr_time" expr="diamlr_time^0.0"                       enabled=".TRUE."  comment="mean"            />
+        <!-- Fields selected for regression analysis -->
+        <field id="diamlr_f001" field_ref="ssh"  enabled=".TRUE." />
+        <field id="diamlr_f002" field_ref="uoce" enabled=".TRUE." />
+        <field id="diamlr_f003" field_ref="voce" enabled=".TRUE." />
+        <field id="diamlr_f004" field_ref="toce" enabled=".TRUE." />
+      </field_group>
+    </field_definition>
+
 <!-- Files definition -->
     <file_definition src="./file_def_nemo-oce.xml"/>     <!--  NEMO ocean dynamics                     -->
-    <!-- 
-============================================================================================================
-= grid definition = = DO NOT CHANGE =
-============================================================================================================
-    -->
-    
-    <axis_definition>
-      <axis id="deptht" long_name="Vertical T levels" unit="m" positive="down" />
-      <axis id="depthu" long_name="Vertical U levels" unit="m" positive="down" />
-      <axis id="depthv" long_name="Vertical V levels" unit="m" positive="down" />
-      <axis id="depthw" long_name="Vertical W levels" unit="m" positive="down" />
-      <axis id="nfloat" long_name="Float number"      unit="-"                 />
-      <axis id="icbcla"  long_name="Iceberg class"      unit="1"               />
-      <axis id="ncatice" long_name="Ice category"       unit="1"               />
-      <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"            />
-      <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"            />
-    </axis_definition>
- 
+
+    <file_definition type="multiple_file" name="@expname@_@freq@_@startdate@_@enddate@" sync_freq="10d" min_digits="4">
+
+<!-- Activation of intermediate output for multiple-linear-regression analysis (diamlr) -->
+      <file_group id="diamlr_files" output_freq="1d"  output_level="10" enabled=".TRUE."/>
+
+<!-- Activation and selection of daily detided model diagnostics (diadetide) -->
+      <file_group id="diadetide_files" output_freq="1d" output_level="10" enabled=".TRUE.">
+	<file id="file22" name_suffix="_M2detided_grid_T" description="M2-detided ocean T-grid variables">
+	  <field id="diadetide_ssh"  field_ref="diadetide_weight_grid_T_2D" operation="accumulate"> this * ssh </field>
+	</file>
+	<file id="file23" name_suffix="_M2detided_grid_U" description="M2-detided ocean U-grid variables">
+	  <field id="diadetide_uoce" field_ref="diadetide_weight_grid_U_3D" operation="accumulate"> this * uoce </field>
+	</file>
+	<file id="file24" name_suffix="_M2detided_grid_V" description="M2-detided ocean V-grid variables">
+	  <field id="diadetide_voce"  field_ref="diadetide_weight_grid_V_3D" operation="accumulate"> this * voce </field>
+	</file>
+      </field_group>
+
+    </file_definition>
+
+<!-- Axis definition -->
+    <axis_definition src="./axis_def_nemo.xml"/>
+
+<!-- Domain definition -->
     <domain_definition src="./domain_def_nemo.xml"/>
+
+<!-- Grids definition -->
+    <grid_definition   src="./grid_def_nemo.xml"/>
   
-    <grid_definition src="./grid_def_nemo.xml"/>
 
 </context>
Index: NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/file_def_nemo-oce.xml
===================================================================
--- NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/file_def_nemo-oce.xml	(revision 11396)
+++ NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/file_def_nemo-oce.xml	(revision 13463)
@@ -13,32 +13,25 @@
       <file_group id="1ts" output_freq="1ts"  output_level="10" enabled=".TRUE."/> <!-- 1 time step files -->
 
-<!--old      <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> old --> <!-- 1h files --> 
-   <!-- TMB files -->
+      <!--old      <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> old --> <!-- 1h files --> 
+      <!-- TB files -->
       <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."  >                      
 
-   <file id="file9" name_suffix="_shelftmb_grid_T" description="ocean T grid variables" enabled=".TRUE." >
-     <field field_ref="top_temp"           name="votemper_top"   operation="instant" enabled=".TRUE." />
-     <field field_ref="mid_temp"           name="votemper_mid"   operation="instant" enabled=".TRUE." />
-     <field field_ref="bot_temp"           name="votemper_bot"   operation="instant" enabled=".TRUE." />
-     <field field_ref="sshnmasked"         name="sossheig"       operation="instant" enabled=".TRUE." /> 
-     <field field_ref="top_sal"            name="vosaline_top"   operation="instant" enabled=".TRUE." />
-     <field field_ref="mid_sal"            name="vosaline_mid"   operation="instant" enabled=".TRUE." />
-     <field field_ref="bot_sal"            name="vosaline_bot"   operation="instant" enabled=".TRUE." />
-   </file>
-
-   <file id="file10" name_suffix="_shelftmb_grid_U" description="TMB ocean U grid variables" enabled=".TRUE." >
-     <field field_ref="top_u"         name="vozocrtx_top"   operation="instant" />
-     <field field_ref="mid_u"         name="vozocrtx_mid"   operation="instant" />
-     <field field_ref="bot_u"         name="vozocrtx_bot"   operation="instant" />
-     <field field_ref="baro_u"        name="vobtcrtx"       operation="instant" />
-   </file>
-
-   <file id="file11" name_suffix="_shelftmb_grid_V" description="TMB ocean V grid variables" enabled=".TRUE." >
-     <field field_ref="top_v"         name="vomecrty_top"   operation="instant" />
-     <field field_ref="mid_v"         name="vomecrty_mid"   operation="instant" />
-     <field field_ref="bot_v"         name="vomecrty_bot"   operation="instant" />
-     <field field_ref="baro_v"        name="vobtcrty"       operation="instant" />
-   </file>
-
+	<file id="file9" name_suffix="_shelftb_grid_T" description="TB ocean T grid variables" enabled=".TRUE." >
+	  <field field_ref="sst"  operation="instant" enabled=".TRUE." />
+	  <field field_ref="sbt"  operation="instant" enabled=".TRUE." />
+	  <field field_ref="sss"  operation="instant" enabled=".TRUE." />
+	  <field field_ref="sbs"  operation="instant" enabled=".TRUE." /> 
+	</file>
+	
+	<file id="file10" name_suffix="_shelftb_grid_U" description="TB ocean U grid variables" enabled=".TRUE." >
+	  <field field_ref="ssu"  operation="instant" enabled=".TRUE." />
+	  <field field_ref="sbu"  operation="instant" enabled=".TRUE." />
+	</file>
+	
+	<file id="file11" name_suffix="_shelftb_grid_V" description="TB ocean V grid variables" enabled=".TRUE." >
+	  <field field_ref="ssv"  operation="instant" enabled=".TRUE." />
+	  <field field_ref="sbv"  operation="instant" enabled=".TRUE." />
+	</file>
+	
       </file_group>
 
@@ -49,5 +42,4 @@
 
       <file_group id="25h_mean" output_freq="1d" output_level="10" enabled=".TRUE.">
-
 
      <file id="file12" name_suffix="_25hourm_grid_T" description="ocean T grid variables, 25h meaned" enabled=".TRUE." >
Index: NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/namelist_cfg	(revision 11396)
+++ NEMO/branches/2019/dev_r11351_fldread_with_XIOS/cfgs/AMM12/EXPREF/namelist_cfg	(revision 13463)
@@ -33,5 +33,5 @@
 &namdom        !   time and space domain
 !-----------------------------------------------------------------------
-   rn_rdt      =   600.    !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =   600.    !  time step for the dynamics (and tracer if nn_acc=0)
 /
 !-----------------------------------------------------------------------
@@ -77,9 +77,9 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_utau     = 'amm12_utau'            ,          1        , 'utau'    ,  .false.    , .false., 'daily'   ,  ''              ,  ''      , ''
-   sn_vtau     = 'amm12_vtau'            ,          1        , 'vtau'    ,  .false.    , .false., 'daily'   ,  ''              ,  ''      , ''
-   sn_qtot     = 'amm12_flx'             ,          3        , 'sonsfldo',  .true.     , .false., 'daily'   ,  ''              ,  ''      , ''
-   sn_qsr      = 'amm12_flx'             ,          3        , 'soshfldo',  .true.     , .false., 'daily'   ,  ''              ,  ''      , ''
-   sn_emp      = 'amm12_flx'             ,          3        , 'sowafldo',  .true.     , .false., 'daily'   ,  ''              ,  ''      , ''
+   sn_utau     = 'amm12_utau'            ,          1.       , 'utau'    ,  .false.    , .false., 'daily'   ,  ''              ,  ''      , ''
+   sn_vtau     = 'amm12_vtau'            ,          1.       , 'vtau'    ,  .false.    , .false., 'daily'   ,  ''              ,  ''      , ''
+   sn_qtot     = 'amm12_flx'             ,          3.       , 'sonsfldo',  .true.     , .false., 'daily'   ,  ''              ,  ''      , ''
+   sn_qsr      = 'amm12_flx'             ,          3.       , 'soshfldo',  .true.     , .false., 'daily'   ,  ''              ,  ''      , ''
+   sn_emp      = 'amm12_flx'             ,          3.       , 'sowafldo',  .true.     , .false., 'daily'   ,  ''              ,  ''      , ''
 /
 !-----------------------------------------------------------------------
@@ -101,6 +101,6 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_sst      = 'amm12_sstref'          ,        24         ,  'sst'     ,   .true.   , .false., 'daily'   , ''               , ''       , ''
-   sn_sss      = 'sss_data'              ,        -1         ,  'sss'     ,   .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_sst      = 'amm12_sstref'          ,        24.        ,  'sst'     ,   .true.   , .false., 'daily'   , ''               , ''       , ''
+   sn_sss      = 'sss_data'              ,        -1.        ,  'sss'     ,   .true.   , .true. , 'yearly'  , ''               , ''       , ''
 /
 !-----------------------------------------------------------------------
@@ -116,9 +116,9 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_rnf      = 'amm12_rivers'          ,        24         , 'rorunoff',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
-   sn_cnf      = 'runoff_1m_nomask'      ,         0         , 'socoefr0',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
-   sn_s_rnf    = 'amm12_rivers'          ,        24         , 'rosaline',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
-   sn_t_rnf    = 'amm12_rivers'          ,        24         , 'rotemper',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
-   sn_dep_rnf  = 'amm12_rivers'          ,        24         , 'rodepth' ,   .false.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_rnf      = 'amm12_rivers'          ,        24.        , 'rorunoff',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_cnf      = 'runoff_1m_nomask'      ,         0.        , 'socoefr0',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_s_rnf    = 'amm12_rivers'          ,        24.        , 'rosaline',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_t_rnf    = 'amm12_rivers'          ,        24.        , 'rotemper',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_dep_rnf  = 'amm12_rivers'          ,        24.        , 'rodepth' ,   .false.   , .true. , 'yearly'  , ''               , ''       , ''
 /
 !-----------------------------------------------------------------------
@@ -133,5 +133,5 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_apr      = 'amm12_mslp'            ,          1        ,'p_msl'    ,   .false.   , .false., 'daily'  ,    ''            ,    ''    ,      ''
+   sn_apr      = 'amm12_mslp'            ,          1.       ,'p_msl'    ,   .false.   , .false., 'daily'  ,    ''            ,    ''    ,      ''
 /
 !!======================================================================
@@ -154,22 +154,21 @@
 &nam_tide      !   tide parameters                                      (default: OFF)
 !-----------------------------------------------------------------------
-   ln_tide     = .true.    ! Activate tides
-      ln_tide_pot   = .true.  !  use tidal potential forcing
-
-   clname(1)     =   'Q1'   !  name of constituent
-   clname(2)     =   'O1'
-   clname(3)     =   'P1'
-   clname(4)     =   'S1'
-   clname(5)     =   'K1'
-   clname(6)     =   '2N2'
-   clname(7)     =   'MU2'
-   clname(8)     =   'N2'
-   clname(9)     =   'NU2'
-   clname(10)    =   'M2'
-   clname(11)    =   'L2'
-   clname(12)    =   'T2'
-   clname(13)    =   'S2'
-   clname(14)    =   'K2'
-   clname(15)    =   'M4'
+   ln_tide     = .true.        ! Activate tides
+      ln_tide_pot     = .true. !  use tidal potential forcing
+   sn_tide_cnames(1)  = 'Q1'   !  name of constituent
+   sn_tide_cnames(2)  = 'O1'
+   sn_tide_cnames(3)  = 'P1'
+   sn_tide_cnames(4)  = 'S1'
+   sn_tide_cnames(5)  = 'K1'
+   sn_tide_cnames(6)  = '2N2'
+   sn_tide_cnames(7)  = 'MU2'
+   sn_tide_cnames(8)  = 'N2'
+   sn_tide_cnames(9)  = 'NU2'
+   sn_tide_cnames(10) = 'M2'
+   sn_tide_cnames(11) = 'L2'
+   sn_tide_cnames(12) = 'T2'
+   sn_tide_cnames(13) = 'S2'
+   sn_tide_cnames(14) = 'K2'
+   sn_tide_cnames(15) = 'M4'
 /
 !-----------------------------------------------------------------------
@@ -187,17 +186,20 @@
 &nambdy_dta    !  open boundaries - external data                       
 !-----------------------------------------------------------------------
-   ln_full_vel = .false.
-
+   ln_zinterp  = .false.      !  T if a vertical interpolation is required. Variables gdep[tuv] and e3[tuv] must exist in the file
+   !                          !  automatically defined to T if the number of vertical levels in bdy dta /= jpk
+   ln_full_vel = .false.      !  T if [uv]3d are "full" velocities and not only its baroclinic components
+   !                          !  in this case, baroclinic and barotropic velocities will be recomputed -> [uv]2d not needed
+   !
    cn_dir  =    './bdydta/'
    !___________!_________________________!___________________!___________!_____________!________!___________!__________________!__________!_______________!
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   bn_ssh      = 'amm12_bdyT_dyn2d'      ,         24        , 'sossheig',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
-   bn_u2d      = 'amm12_bdyU_dyn2d'      ,         24        , 'vobtcrtx',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
-   bn_v2d      = 'amm12_bdyV_dyn2d'      ,         24        , 'vobtcrty',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
-   bn_u3d      = 'amm12_bdyU_dyn3d'      ,         24        , 'vozocrtx',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
-   bn_v3d      = 'amm12_bdyV_dyn3d'      ,         24        , 'vomecrty',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
-   bn_tem      = 'amm12_bdyT_tra'        ,         24        , 'votemper',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
-   bn_sal      = 'amm12_bdyT_tra'        ,         24        , 'vosaline',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
+   bn_ssh      = 'amm12_bdyT_dyn2d'      ,         24.       , 'sossheig',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
+   bn_u2d      = 'amm12_bdyU_dyn2d'      ,         24.       , 'vobtcrtx',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
+   bn_v2d      = 'amm12_bdyV_dyn2d'      ,         24.       , 'vobtcrty',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
+   bn_u3d      = 'amm12_bdyU_dyn3d'      ,         24.       , 'vozocrtx',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
+   bn_v3d      = 'amm12_bdyV_dyn3d'      ,         24.       , 'vomecrty',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
+   bn_tem      = 'amm12_bdyT_tra'        ,         24.       , 'votemper',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
+   bn_sal      = 'amm12_bdyT_tra'        ,         24.       , 'vosaline',    .true.   , .false.,  'daily'  ,    ''            ,   ''     , ''
 /
 !-----------------------------------------------------------------------
@@ -210,6 +212,6 @@
 !!                                                                    !!
 !!   namdrg        top/bottom drag coefficient                          (default: NO selection)
-!!   namdrg_top    top    friction                                      (ln_OFF =F & ln_isfcav=T)
-!!   namdrg_bot    bottom friction                                      (ln_OFF =F)
+!!   namdrg_top    top    friction                                      (ln_drg_OFF =F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_drg_OFF =F)
 !!   nambbc        bottom temperature boundary condition                (default: OFF)
 !!   nambbl        bottom boundary layer scheme                         (default: OFF)
@@ -301,5 +303,5 @@
    ln_dynspg_ts = .true.   ! split-explicit free surface
    ln_bt_auto   = .false.  ! Number of sub-step defined from:
-   nn_baro      = 30       ! =F : the number of sub-step in rn_rdt seconds
+   nn_e      = 30       ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
@@ -347,17 +349,10 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
-!!   namflo       float parameters                                      ("key_float")
-!!   nam_diaharm  Harmonic analysis of tidal constituents               ("key_diaharm")
-!!   namdct       transports through some sections                      ("key_diadct")
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
+!!   namflo       float parameters                                      (default: OFF)
+!!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
 !!======================================================================
 !
-!-----------------------------------------------------------------------
-&nam_diatmb    !  Top Middle Bottom Output                              (default F)
-!-----------------------------------------------------------------------
-   ln_diatmb  = .true.    !  Choose Top Middle and Bottom output or not
-/
 !-----------------------------------------------------------------------
 &nam_dia25h    !  25h Mean Output                                       (default F)
